Bug 756264 - Highlight differences compared to Translation Memory matches
Highlight differences compared to Translation Memory matches
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
unspecified Severity unspecified
: Sprint-30
: ---
Assigned To: Alex Eng
Carlos Munoz
https://community.rallydev.com/slm/ra...
: UserStory
Depends On:
Blocks: 756230
  Show dependency treegraph
 
Reported: 2011-11-22 23:15 EST by Sean Flanigan
Modified: 2012-04-23 00:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.5-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 00:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2011-11-22 23:15:41 EST
User story: As a translator I want the Suggestions from the Translation Memory to highlight the differences with the current string so that I can view the part of the string which is an exact match to the string


References:

http://stackoverflow.com/questions/132478/how-to-perform-string-diffs-in-java
http://code.google.com/p/google-diff-match-patch/
Comment 1 Sean Flanigan 2011-12-05 19:41:56 EST
I've done some of the work here: https://github.com/zanata/zanata/tree/rhbz756264

The colour scheme still needs some work.  I think we need an option (easily accessible, not buried in the options menu) to hide the deleted/missing text, which would switch from a diff view to highlighting the matching text.
Comment 2 Sean Flanigan 2011-12-16 01:31:32 EST
Alex, could you please merge my changes into master?
Comment 3 Alex Eng 2011-12-18 20:59:14 EST
Merged into Master. See https://github.com/zanata/zanata/commit/47fbc1d181848431064cb4f12427619faf1745d9
Comment 4 Carlos Munoz 2012-01-05 21:29:45 EST
Verified against 1.5-SNAPSHOT.
Comment 5 Runa Bhattacharjee 2012-01-12 23:31:09 EST
Verified. Can the colour be enhanced slightly to highlight the contrast better? Thanks.
Comment 6 Sean Flanigan 2012-01-30 01:25:58 EST
How about these Lokalize colours then? 
http://docs.kde.org/stable/en/kdesdk/lokalize/tm.html

That's #99CCFF and #FF9999
Comment 7 Runa Bhattacharjee 2012-01-30 07:29:54 EST
These would be better. Thanks.
Comment 8 Sean Flanigan 2012-01-31 18:52:11 EST
Colour change implemented in https://github.com/zanata/zanata/commit/fdd937a6ede956abf17d0650a4694d9c673a713c (master branch)

Note You need to log in before you can comment on or make changes to this bug.